Bug 523155 - tomboy crash when migrating .tomboy to different user
Summary: tomboy crash when migrating .tomboy to different user
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tomboy
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 09:16 UTC by Stefan Assmann
Modified: 2010-06-28 14:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:38:44 UTC


Attachments (Terms of Use)

Description Stefan Assmann 2009-09-14 09:16:13 UTC
Description of problem:
copied the .tomboy dir to a different user account for migration. Tomboy crashes on startup.

[DEBUG]: NoteManager created with note path "/home/redhat/.tomboy".
[INFO]: Initializing Mono.Addins

Unhandled Exception: System.InvalidOperationException: Could not read add-in description
  at Mono.Addins.Addin.get_Description () [0x00000]
  at Mono.Addins.AddinSessionService.CheckHostAssembly (System.Reflection.Assembly asm) [0x00000]
  at Mono.Addins.AddinSessionService.ActivateRoots () [0x00000]
  at Mono.Addins.AddinSessionService.Initialize () [0x00000]
  at Mono.Addins.AddinManager.Initialize (System.String configDir) [0x00000]
  at Tomboy.AddinManager.InitializeMonoAddins () [0x00000]
  at Tomboy.AddinManager..ctor (System.String tomboy_conf_dir) [0x00000]
  at Tomboy.NoteManager.CreateAddinManager () [0x00000]
  at Tomboy.NoteManager..ctor (System.String directory, System.String backup_directory) [0x00000]
  at Tomboy.NoteManager..ctor (System.String directory) [0x00000]
  at Tomboy.Tomboy.Main (System.String[] args) [0x00000]


Version-Release number of selected component (if applicable):
tomboy-0.14.3-1.fc11.i586

How reproducible:
always

Steps to Reproduce:
1. start tomboy after cp .tomboy from different user
  
Actual results:
tomboy crash

Expected results:
tomboy starts

Additional info:

Comment 1 Bug Zapper 2010-04-28 10:21:16 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:38:44 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.